#
# spec file for package python-django-mailman3
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-django-mailman3
Version:        1.3.3rc1
Release:        lp152.1.1
Summary:        Django library to help interaction with Mailman
License:        GPL-3.0-only
URL:            https://gitlab.com/mailman/django-mailman3
Source:         https://files.pythonhosted.org/packages/source/d/django-mailman3/django-mailman3-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Django >= 1.11
Requires:       python-django-allauth
Requires:       python-django-gravatar2 >= 1.0.6
Requires:       python-mailmanclient
Requires:       python-pytz
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module Django >= 1.11}
BuildRequires:  %{python_module django-allauth}
BuildRequires:  %{python_module django-gravatar2 >= 1.0.6}
BuildRequires:  %{python_module mailmanclient}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module pytz}
# /SECTION
%python_subpackages

%description
Django library to help interaction with Mailman

%prep
%setup -q -n django-mailman3-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand PYTHONPATH='.' $python %{_bindir}/django-admin.py test --settings=django_mailman3.tests.settings_test

%files %{python_files}
%doc README.rst
%license COPYING.txt
%{python_sitelib}/*

%changelog
* Wed May 13 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 1.3.3rc1
  * Update a user's preferred_address in Mailman Core when a user
    updates their primary address in Profile.
  * Do not exit with --code-zero.
  * more bugfixes
* Mon Dec  2 2019 pgajdos@suse.com
- call spec-cleaner
* Tue Nov 26 2019 pgajdos@suse.com
- run the testsuite
* Wed Oct  2 2019 pgajdos@suse.com
- initial version 1.3.0, required by HyperKitty [SLE-7686]
